<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: transactor_if Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">transactor_if Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for transactor_if:</div>
<div class="dyncontent">
<div class="center"><img src="classtransactor__if__inherit__graph.png" border="0" usemap="#transactor__if_inherit__map" alt="Inheritance graph"/></div>
<map name="transactor__if_inherit__map" id="transactor__if_inherit__map">
<area shape="rect" id="node2" href="classtransactor.html" title="transactor" alt="" coords="13,80,101,107"/><area shape="rect" id="node3" href="classipbus__ctrl.html" title="ipbus_ctrl" alt="" coords="15,155,100,181"/><area shape="rect" id="node4" href="classipbus__if.html" title="ipbus_if" alt="" coords="21,229,93,256"/><area shape="rect" id="node5" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="12,304,103,331"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classtransactor__if-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtransactor__if_1_1rtl.html">rtl</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classtransactor__if.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a12b3a933c0b15dddc56668157e22447c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12b3a933c0b15dddc56668157e22447c"></a>
<a class="el" href="classtransactor__if.html#a12b3a933c0b15dddc56668157e22447c">ipbus_trans_decl</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classipbus__trans__decl.html"> &lt;ipbus_trans_decl&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classtransactor__if.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5cf3e8e1cb15fcfc3619d8dc23942d9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cf3e8e1cb15fcfc3619d8dc23942d9c"></a>
<a class="el" href="classtransactor__if.html#a5cf3e8e1cb15fcfc3619d8dc23942d9c">rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a31c7a28271fb7ea05a722263ed25a738"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31c7a28271fb7ea05a722263ed25a738"></a>
<a class="el" href="classtransactor__if.html#a31c7a28271fb7ea05a722263ed25a738">trans_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">ipbus_trans_in</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9a34783577dd22c245115493563d1956"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a34783577dd22c245115493563d1956"></a>
<a class="el" href="classtransactor__if.html#a9a34783577dd22c245115493563d1956">trans_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">ipbus_trans_out</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad44a7b7442ddd134d425a0f80b5e3d90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad44a7b7442ddd134d425a0f80b5e3d90"></a>
<a class="el" href="classtransactor__if.html#ad44a7b7442ddd134d425a0f80b5e3d90">ipb_req</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aefef1b4b4a8cc515bae3fdbf7ff39c3f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefef1b4b4a8cc515bae3fdbf7ff39c3f"></a>
<a class="el" href="classtransactor__if.html#aefef1b4b4a8cc515bae3fdbf7ff39c3f">ipb_grant</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4832e2514833b39b7369ad85a478a58e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4832e2514833b39b7369ad85a478a58e"></a>
<a class="el" href="classtransactor__if.html#a4832e2514833b39b7369ad85a478a58e">rx_ready</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9bb04134cd1e41793c464dc97c113213"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bb04134cd1e41793c464dc97c113213"></a>
<a class="el" href="classtransactor__if.html#a9bb04134cd1e41793c464dc97c113213">rx_next</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afdb16a327e1e1b4637f433ea9694e684"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdb16a327e1e1b4637f433ea9694e684"></a>
<a class="el" href="classtransactor__if.html#afdb16a327e1e1b4637f433ea9694e684">rx_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a25948b1424139a333161b1086eb4b41b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a25948b1424139a333161b1086eb4b41b"></a>
<a class="el" href="classtransactor__if.html#a25948b1424139a333161b1086eb4b41b">tx_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a55c324a2bca5b3e727382d3b09fdf304"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55c324a2bca5b3e727382d3b09fdf304"></a>
<a class="el" href="classtransactor__if.html#a55c324a2bca5b3e727382d3b09fdf304">tx_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a77ef7018731825361f9f0932a63059b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77ef7018731825361f9f0932a63059b8"></a>
<a class="el" href="classtransactor__if.html#a77ef7018731825361f9f0932a63059b8">tx_hdr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9c2edc3c3e4057f5ff7d4193ca4fc6d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c2edc3c3e4057f5ff7d4193ca4fc6d4"></a>
<a class="el" href="classtransactor__if.html#a9c2edc3c3e4057f5ff7d4193ca4fc6d4">tx_err</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a38e68c22f5da2578ffc180b9b12f1b1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38e68c22f5da2578ffc180b9b12f1b1e"></a>
<a class="el" href="classtransactor__if.html#a38e68c22f5da2578ffc180b9b12f1b1e">pkt_rx</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afea9c4b9136ce90030c42e6e6fc2581e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afea9c4b9136ce90030c42e6e6fc2581e"></a>
<a class="el" href="classtransactor__if.html#afea9c4b9136ce90030c42e6e6fc2581e">pkt_tx</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="transactor__if_8vhd_source.html#l00012">12</a> of file <a class="el" href="transactor__if_8vhd_source.html">transactor_if.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="transactor__if_8vhd_source.html">transactor_if.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
